org.apache.xmlbeans.impl.values

## Class StringEnumValue

- java.lang.Object
- - org.apache.xmlbeans.StringEnumAbstractBase
  - - org.apache.xmlbeans.impl.values.StringEnumValue

- All Implemented Interfaces:
    Serializable

      public class StringEnumValue
      extends StringEnumAbstractBase

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xmlbeans.StringEnumAbstractBase

      `StringEnumAbstractBase.Table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringEnumValue(String s, int i)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlbeans.StringEnumAbstractBase

      `hashCode, intValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringEnumValue

          public StringEnumValue(String s,
                                 int i)